%define api		2.0
%define major		0
%define libname		%mklibname atk-bridge %{api} %{major}
%define develname	%mklibname atk-bridge -d

%define url_ver	%(echo %{version}|cut -d. -f1,2)

%global dont_check_desktop_files	1

Name:		at-spi2-atk
Version:	2.34.0
Release:	%mkrel 1
Summary:	A GTK+ module that bridges ATK to D-Bus at-spi
Group:		System/Libraries
License:	LGPLv2+
URL:		http://www.linuxfoundation.org/en/AT-SPI_on_D-Bus
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(atk)
BuildRequires:	pkgconfig(atspi-2)
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	intltool
BuildRequires:	meson
Requires:	at-spi2-core

%description
at-spi allows assistive technologies to access GTK-based
applications. Essentially it exposes the internals of applications for
automation, so tools such as screen readers, magnifiers, or even
scripting interfaces can query and interact with GUI controls.

This version of at-spi is a major break from previous versions.
It has been completely rewritten to use D-Bus rather than
ORBIT / CORBA for its transport protocol.

This package includes a gtk-module that bridges ATK to the new
D-Bus based at-spi.

%package -n %{libname}
Group:		System/Libraries
Summary:	A GTK+ module that bridges ATK to D-Bus at-spi

%description -n %{libname}
This package includes a gtk-module that bridges ATK to the new
D-Bus based at-spi.

%package -n %{develname}
Group:		Development/Libraries
Summary:	A GTK+ module that bridges ATK to D-Bus at-spi
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
This package includes a gtk-module that bridges ATK to the new
D-Bus based at-spi.

%prep
%setup -q

%build
%meson
%meson_build

%install
%meson_install

%files
%{_libdir}/gnome-settings-daemon-3.0/gtk-modules/%{name}.desktop
%{_libdir}/gtk-2.0/modules/libatk-bridge.so

%files -n %{libname}
%{_libdir}/libatk-bridge-%{api}.so.%{major}
%{_libdir}/libatk-bridge-%{api}.so.%{major}.*

%files -n %{develname}
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*


%changelog
* Mon Sep 09 2019 tex - 2.34.0-1pclos2019
- new version 2.34.0
